<template>
	<view>
		<cu-custom bgColor="bg-gradual-blueness" :isBack="true" :isRingt="true">
			<block slot="backText">返回</block>
			<block slot="content">气体分析详情</block>
			<block slot="right">
				<view v-if="addFlag" @click="$noMultipleClicks(goToAdd)">添加</view>
			</block>
		</cu-custom>
		<scroll-view class="dy-scroll" @scrolltolower="scrolltolower" scroll-y :style="'top:'+sTop+'px;height:calc(100vh - '+totalHeight+'px)'">
			<view v-if="list.length>0" >
				<view class="dy-list">
					<view v-for="(item,index) of list" :key="index" :data-id="item.HOTWORKGAS_ID" class="dy-list-item p20">
						<view class="dy-subtitle-flex">
							<text>分析时间:{{item.ANALYZE_TIME}}</text>
							<text>代表性气体:{{item.ANALYZE_GAS}}</text>
						</view>
						<view class="dy-subtitle-flex">
							<text>分析数据：{{item.ANALYZE_RESULT}}</text>
							<text v-if="item.ANALYZE_PLACE">分析地点:{{item.ANALYZE_PLACE}}</text>
						</view>
						<view class="dy-subtitle-flex" style="height: 34upx;">
							<text>分析人：</text>
							<view style="width: 100upx; height: 50upx; margin: 10upx;margin-top: 0upx;margin-bottom: 2upx;" >
									<image :src="baseImgPath + item.SIGN_PATH" mode="aspectFill" @click="ViewShowImage(baseImgPath + item.SIGN_PATH)" style="height: 100%;"></image>
							</view>
							<text  v-if="addFlag"><button class="cu-btn bg-red margin-tb-sm sm" @click="$noMultipleClicks(handleDelete,item.HOTWORKGAS_ID)">删除</button></text>
						</view>
					</view>
				</view>
			</view>
			<view v-else-if="dataFlag=='noData'" class="dy-null">
				<view class="dy-null-img">
					<image :src="background[dataFlag].url" mode=""></image>
				</view>
				<view class="dy-null-title">
					{{background[dataFlag].msg}}
				</view>
			</view>
			<view class="cu-tabbar-height"></view>
		</scroll-view>
	</view>
</template>

<script>
	import {
		basePath,corpinfoId,loginSession,formatDate,loginUser,baseImgPath
	} from '@/common/tool.js';
	import tkiTree from "@/components/select-tree/select-tree.vue"
	export default {
		components: {
			tkiTree
		},
		data() {
			return {
				baseImgPath:baseImgPath,
				noClick:true,
				showRight: false,
				dataFlag:'noData',
				addFlag:'',
				sTop:0,
				totalHeight:0,
				list:[],//返回数据
				HOTWORK_ID:'',
				files: []
			}
		},
		onReady() {
			let that=this;
			let CustomBar = this.CustomBar;
			uni.getSystemInfo({ //调用uni-app接口获取屏幕高度
				success(res) { //成功回调函数
					let titleH=uni.createSelectorQuery().select(".top-fixed"); //想要获取高度的元素名（class/id）
					titleH.boundingClientRect(data=>{
						that._data.sTop=data.height  //计算高度：元素高度=窗口高度-元素距离顶部的距离（data.top）
						that.totalHeight = data.height+CustomBar
					}).exec()
				}
			})
		},
		onLoad(event) {//页面第一次加载时触发，从跳转页面返回时不能触发，可以传递参
			this.HOTWORK_ID = event.HOTWORK_ID;
			this.addFlag = event.addFlag;
		},
		onShow() {
			//页面显示或从后台跳回小程序时显示此页面时触发，从跳转页面返回时触发，不能传递参数
			var _this = this;
			_this.background = require('@/common/background.json');
			_this.list = [];
			_this.getData();
			loginSession();
		},

		filters: {
			formatDate(time) {
				let date = new Date(time)
				return formatDate(date, 'yyyy-MM-dd')
			}
		},
		methods: {
			//跳转事件
			goToAdd(){
				uni.navigateTo({
					url: '/pages/application/hotwork/hotwork-gas/gas-detail?HOTWORK_ID='+this.HOTWORK_ID
				});
			},
			getQuery(){	//搜索按钮事件
				var _this = this;
				_this.list = [];
				_this.getData();
			},
			getData(){
				var _this = this;
				uni.showLoading({
					title:"加载中..."
				});//加载中动画
				uni.request({
					url: basePath +'/app/hotwork/gas/list' ,
					method: 'POST',
					dataType: 'json',
					header: {
						'Content-type':'application/x-www-form-urlencoded'
					},
					data: {
						HOTWORK_ID:_this.HOTWORK_ID,
						tm:new Date().getTime(),
						CORPINFO_ID:loginUser.CORPINFO_ID,
						USER_ID:loginUser.USER_ID,
					},
					success: (res) => {
						uni.hideLoading();//结束加载中动画
						if (res.data != null) {
							_this.list = res.data.varList;
						}
						_this.files = res.data.SIGN_PATH;

					}
				})
			},
			ViewShowImage(url) {
				let files = [];
				files.push(url)
				uni.previewImage({
					urls: files,
					current: 0
				});
			},
			handleDelete(id){
				var _this = this;
				uni.showModal({
					title: '',
					content: '确定要删除这条记录？',
					cancelColor:"#000000",
					cancelText: '取消',
					confirmText: '确定',
					success: res => {
						if (res.confirm) {
							uni.showLoading({
								title: '处理中'
							})
							uni.request({
								url: basePath+'/app/hotwork/gas/delete',
								method: 'POST',
								dataType: 'json',
								header: {
									'Content-type':'application/x-www-form-urlencoded'
								},
								data: {
									 HOTWORKGAS_ID: id,
									  CORPINFO_ID:loginUser.CORPINFO_ID,
									  USER_ID:loginUser.USER_ID,
								},
								success: (res) => {
									uni.hideLoading();
									uni.showToast({
										icon: 'none',
										title: '删除成功',
										duration: 1500
									});
									_this.getQuery()
								},
								fail: (err) => {
									uni.hideLoading();
									uni.showModal({
										content: err.errMsg,
										showCancel: false
									});
								}
							})
						}
					}
				})
			},
		}
	}
</script>

<style>
	.dy-card {
		background-color: #fff;
		border-radius: 10upx;
		margin: 30upx
	}

	.dy-card-title {
		display: flex;
		justify-content: space-between;
		border-bottom: 1px solid #eee;
		min-height: 80upx;
		line-height: 80upx;
		padding: 0 30upx;
	}

	.dy-card-content {
		padding: 0upx 30upx 30upx;

	}

	.dy-card-content-item {
		margin-top: 20upx;
	}

	.dy-card-content-item .title {
		display: flex;
		align-items: center;
	}

	.dy-card-content-item .title .l {
		width: 10upx;
		height: 30upx;
		border-radius: 20upx;
		background-color: #666;
		margin-right: 10upx;
	}

	.dy-card-content-item .content {
		background-color: #F1F1F1;
		padding: 10upx 14upx;
		margin-top: 14upx;
		line-height: 1.6;
	}

	.dy-card-content-item .name text {
		background-color: #F1F1F1;
		padding: 10upx 14upx;
		margin-top: 14upx;
		line-height: 1.6;
		display: inline-block;
	}

	.dy-card-foot {
		border-top: 1px solid #eee;
		padding: 30upx;
	}
</style>
